Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core.jmx
Class SimpleTriggerSupport

    java.lang.Object
      org.quartz.core.jmx.SimpleTriggerSupport

    public class SimpleTriggerSupport

extends Object

Constructor Summary
`SimpleTriggerSupport()`

Method Summary
`static String[]` | `getItemDescriptions()`
`static String[]` | `getItemNames()`
`static OpenType[]` | `getItemTypes()`
`static OperableTrigger` | `newTrigger(CompositeData cData)`
`static OperableTrigger` | `newTrigger(Map<String,Object> attrMap)`
`static CompositeData` | `toCompositeData(SimpleTrigger trigger)`
`static TabularData` | `toTabularData(List<? extends SimpleTrigger> triggers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTriggerSupport

    public SimpleTriggerSupport()

Method Detail

### getItemNames

    public static String[] getItemNames()

### getItemDescriptions

    public static String[] getItemDescriptions()

### getItemTypes

    public static OpenType[] getItemTypes()

### toCompositeData

    public static CompositeData toCompositeData(SimpleTrigger trigger)

### toTabularData

    public static TabularData toTabularData(List<? extends SimpleTrigger> triggers)

### newTrigger

    public static OperableTrigger newTrigger(CompositeData cData)
                                      throws ParseException

  Throws:
    `ParseException`

### newTrigger

    public static OperableTrigger newTrigger(Map<String,Object> attrMap)
                                      throws ParseException

  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.